<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class EmployedRule implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $this->is_employed = request('is_employed');
        $this->work_abroad = request('work_abroad');

        if($this->is_employed == 'yes' && $this->work_abroad == 'yes'){
            return true;
        }else{
            return false;
        }
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The validation error message.';
    }
}
